Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005294OCamlOCamldocpublic2011-06-17 10:042012-09-20 16:25
Reporterv_monfort 
Assigned Toguesdon 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.00.1+devFixed in Version 
Summary0005294: Ocamldoc does not keep ".mli" names of polymorphic types
DescriptionI used particular names for some polymorphic types in my .mli files but these
names were replaced with default names by ocamldoc in the documentation.
E.g.:
.mli:
type ('dom,'tf) manager = {
  bot : 'dom;
  ...
}

.html:
type ('a, 'b) manager = {
    bot : 'a;
    ...
}

I think it would be a good thing to could keep the name information because it makes the documentation more readable. Moreover the documentation text explaining theses types does not correspond anymore in html documentation (explaining 'dom type instead of 'a type).
Additional InformationThis could be related to issue http://caml.inria.fr/mantis/view.php?id=5067 [^]
TagsNo tags attached.
Attached Files

- Relationships
related to 0005067assignedguesdon ocamldoc doesn't preserve type contraints and `_`, producing unreadable interfaces 

-  Notes
(0008129)
doligez (administrator)
2012-09-20 16:25

This is fixed in 4.00.0 because the typechecker now keeps the user-provided names of type variables.

- Issue History
Date Modified Username Field Change
2011-06-17 10:04 v_monfort New Issue
2011-06-17 10:04 v_monfort Status new => assigned
2011-06-17 10:04 v_monfort Assigned To => guesdon
2012-07-10 14:02 doligez Target Version => 4.01.0+dev
2012-07-31 13:36 doligez Target Version 4.01.0+dev => 4.00.1+dev
2012-09-20 16:24 doligez Relationship added related to 0005067
2012-09-20 16:25 doligez Note Added: 0008129
2012-09-20 16:25 doligez Status assigned => closed
2012-09-20 16:25 doligez Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker